Reference documentation and code samples for the Google Cloud Tasks V2 Client class QueryOverride.
QueryOverride.
Query message defines query override for HTTP targets.
Generated from protobuf message google.cloud.tasks.v2.QueryOverride
Namespace
Google \ Cloud \ Tasks \ V2Methods
__construct
Constructor.
| Parameters | |
|---|---|
| Name | Description |
data |
array
Optional. Data for populating the Message object. |
↳ query_params |
string
The query parameters (e.g., qparam1=123&qparam2=456). Default is an empty string. |
getQueryParams
The query parameters (e.g., qparam1=123&qparam2=456). Default is an empty string.
| Returns | |
|---|---|
| Type | Description |
string |
|
setQueryParams
The query parameters (e.g., qparam1=123&qparam2=456). Default is an empty string.
| Parameter | |
|---|---|
| Name | Description |
var |
string
|
| Returns | |
|---|---|
| Type | Description |
$this |
|